Package org.apache.iotdb.jdbc

## Class AbstractIoTDBJDBCResultSet

- java.lang.Object
- - org.apache.iotdb.jdbc.AbstractIoTDBJDBCResultSet

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.sql.ResultSet`, `java.sql.Wrapper`

Direct Known Subclasses:
  `IoTDBJDBCResultSet`, `IoTDBNonAlignJDBCResultSet`

    public abstract class AbstractIoTDBJDBCResultSet
    extends java.lang.Object
    implements java.sql.ResultSet

### Field Summary

Fields
`protected java.util.List<java.lang.String>` `columnTypeList`
`protected org.apache.iotdb.rpc.IoTDBRpcDataSet` `ioTDBRpcDataSet`
`protected java.sql.Statement` `statement`
`protected java.sql.SQLWarning` `warningChain`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
`AbstractIoTDBJDBCResultSet​(java.sql.Statement statement, java.util.List<java.lang.String> columnNameList, java.util.List<java.lang.String> columnTypeList, java.util.Map<java.lang.String,​java.lang.Integer> columnNameIndex, boolean ignoreTimeStamp, org.apache.iotdb.service.rpc.thrift.TSIService.Iface client, java.lang.String sql, long queryId, long sessionId, long timeout)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `absolute​(int arg0)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `cancelRowUpdates()`
`void` `clearWarnings()`
`void` `close()`
`void` `deleteRow()`
`int` `findColumn​(java.lang.String columnName)`
`boolean` `first()`
`java.sql.Array` `getArray​(int arg0)`
`java.sql.Array` `getArray​(java.lang.String arg0)`
`java.io.InputStream` `getAsciiStream​(int arg0)`
`java.io.InputStream` `getAsciiStream​(java.lang.String arg0)`
`java.math.BigDecimal` `getBigDecimal​(int columnIndex)`
`java.math.BigDecimal` `getBigDecimal​(int columnIndex, int scale)`
`java.math.BigDecimal` `getBigDecimal​(java.lang.String columnName)`
`java.math.BigDecimal` `getBigDecimal​(java.lang.String columnName, int scale)`
`java.io.InputStream` `getBinaryStream​(int arg0)`
`java.io.InputStream` `getBinaryStream​(java.lang.String arg0)`
`java.sql.Blob` `getBlob​(int arg0)`
`java.sql.Blob` `getBlob​(java.lang.String arg0)`
`boolean` `getBoolean​(int columnIndex)`
`boolean` `getBoolean​(java.lang.String columnName)`
`byte` `getByte​(int columnIndex)`
`byte` `getByte​(java.lang.String columnName)`
`byte[]` `getBytes​(int columnIndex)`
`byte[]` `getBytes​(java.lang.String columnName)`
`java.io.Reader` `getCharacterStream​(int arg0)`
`java.io.Reader` `getCharacterStream​(java.lang.String arg0)`
`java.sql.Clob` `getClob​(int arg0)`
`java.sql.Clob` `getClob​(java.lang.String arg0)`
`int` `getConcurrency()`
`java.lang.String` `getCursorName()`
`java.sql.Date` `getDate​(int columnIndex)`
`java.sql.Date` `getDate​(int arg0, java.util.Calendar arg1)`
`java.sql.Date` `getDate​(java.lang.String columnName)`
`java.sql.Date` `getDate​(java.lang.String arg0, java.util.Calendar arg1)`
`double` `getDouble​(int columnIndex)`
`double` `getDouble​(java.lang.String columnName)`
`int` `getFetchDirection()`
`int` `getFetchSize()`
`float` `getFloat​(int columnIndex)`
`float` `getFloat​(java.lang.String columnName)`
`int` `getHoldability()`
`int` `getInt​(int columnIndex)`
`int` `getInt​(java.lang.String columnName)`
`long` `getLong​(int columnIndex)`
`abstract long` `getLong​(java.lang.String columnName)`
`java.sql.ResultSetMetaData` `getMetaData()`
`java.io.Reader` `getNCharacterStream​(int arg0)`
`java.io.Reader` `getNCharacterStream​(java.lang.String arg0)`
`java.sql.NClob` `getNClob​(int arg0)`
`java.sql.NClob` `getNClob​(java.lang.String arg0)`
`java.lang.String` `getNString​(int arg0)`
`java.lang.String` `getNString​(java.lang.String arg0)`
`java.lang.Object` `getObject​(int columnIndex)`
`<T> T` `getObject​(int arg0, java.lang.Class<T> arg1)`
`java.lang.Object` `getObject​(int arg0, java.util.Map<java.lang.String,​java.lang.Class<?>> arg1)`
`java.lang.Object` `getObject​(java.lang.String columnName)`
`<T> T` `getObject​(java.lang.String arg0, java.lang.Class<T> arg1)`
`java.lang.Object` `getObject​(java.lang.String arg0, java.util.Map<java.lang.String,​java.lang.Class<?>> arg1)`
`java.sql.Ref` `getRef​(int arg0)`
`java.sql.Ref` `getRef​(java.lang.String arg0)`
`int` `getRow()`
`java.sql.RowId` `getRowId​(int arg0)`
`java.sql.RowId` `getRowId​(java.lang.String arg0)`
`short` `getShort​(int columnIndex)`
`short` `getShort​(java.lang.String columnName)`
`java.sql.SQLXML` `getSQLXML​(int arg0)`
`java.sql.SQLXML` `getSQLXML​(java.lang.String arg0)`
`java.sql.Statement` `getStatement()`
`java.lang.String` `getString​(int columnIndex)`
`java.lang.String` `getString​(java.lang.String columnName)`
`java.sql.Time` `getTime​(int columnIndex)`
`java.sql.Time` `getTime​(int arg0, java.util.Calendar arg1)`
`java.sql.Time` `getTime​(java.lang.String columnName)`
`java.sql.Time` `getTime​(java.lang.String arg0, java.util.Calendar arg1)`
`java.sql.Timestamp` `getTimestamp​(int columnIndex)`
`java.sql.Timestamp` `getTimestamp​(int arg0, java.util.Calendar arg1)`
`java.sql.Timestamp` `getTimestamp​(java.lang.String columnName)`
`java.sql.Timestamp` `getTimestamp​(java.lang.String arg0, java.util.Calendar arg1)`
`int` `getType()`
`java.io.InputStream` `getUnicodeStream​(int arg0)`
`java.io.InputStream` `getUnicodeStream​(java.lang.String arg0)`
`java.net.URL` `getURL​(int arg0)`
`java.net.URL` `getURL​(java.lang.String arg0)`
`java.sql.SQLWarning` `getWarnings()`
`void` `insertRow()`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isClosed()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `isWrapperFor​(java.lang.Class<?> iface)`
`boolean` `last()`
`void` `moveToCurrentRow()`
`void` `moveToInsertRow()`
`boolean` `next()`
`boolean` `previous()`
`void` `refreshRow()`
`boolean` `relative​(int arg0)`
`boolean` `rowDeleted()`
`boolean` `rowInserted()`
`boolean` `rowUpdated()`
`void` `setFetchDirection​(int arg0)`
`void` `setFetchSize​(int arg0)`
`<T> T` `unwrap​(java.lang.Class<T> iface)`
`void` `updateArray​(int arg0, java.sql.Array arg1)`
`void` `updateArray​(java.lang.String arg0, java.sql.Array arg1)`
`void` `updateAsciiStream​(int arg0, java.io.InputStream arg1)`
`void` `updateAsciiStream​(int arg0, java.io.InputStream arg1, int arg2)`
`void` `updateAsciiStream​(int arg0, java.io.InputStream arg1, long arg2)`
`void` `updateAsciiStream​(java.lang.String arg0, java.io.InputStream arg1)`
`void` `updateAsciiStream​(java.lang.String arg0, java.io.InputStream arg1, int arg2)`
`void` `updateAsciiStream​(java.lang.String arg0, java.io.InputStream arg1, long arg2)`
`void` `updateBigDecimal​(int arg0, java.math.BigDecimal arg1)`
`void` `updateBigDecimal​(java.lang.String arg0, java.math.BigDecimal arg1)`
`void` `updateBinaryStream​(int arg0, java.io.InputStream arg1)`
`void` `updateBinaryStream​(int arg0, java.io.InputStream arg1, int arg2)`
`void` `updateBinaryStream​(int arg0, java.io.InputStream arg1, long arg2)`
`void` `updateBinaryStream​(java.lang.String arg0, java.io.InputStream arg1)`
`void` `updateBinaryStream​(java.lang.String arg0, java.io.InputStream arg1, int arg2)`
`void` `updateBinaryStream​(java.lang.String arg0, java.io.InputStream arg1, long arg2)`
`void` `updateBlob​(int arg0, java.io.InputStream arg1)`
`void` `updateBlob​(int arg0, java.io.InputStream arg1, long arg2)`
`void` `updateBlob​(int arg0, java.sql.Blob arg1)`
`void` `updateBlob​(java.lang.String arg0, java.io.InputStream arg1)`
`void` `updateBlob​(java.lang.String arg0, java.io.InputStream arg1, long arg2)`
`void` `updateBlob​(java.lang.String arg0, java.sql.Blob arg1)`
`void` `updateBoolean​(int arg0, boolean arg1)`
`void` `updateBoolean​(java.lang.String arg0, boolean arg1)`
`void` `updateByte​(int arg0, byte arg1)`
`void` `updateByte​(java.lang.String arg0, byte arg1)`
`void` `updateBytes​(int arg0, byte[] arg1)`
`void` `updateBytes​(java.lang.String arg0, byte[] arg1)`
`void` `updateCharacterStream​(int arg0, java.io.Reader arg1)`
`void` `updateCharacterStream​(int arg0, java.io.Reader arg1, int arg2)`
`void` `updateCharacterStream​(int arg0, java.io.Reader arg1, long arg2)`
`void` `updateCharacterStream​(java.lang.String arg0, java.io.Reader arg1)`
`void` `updateCharacterStream​(java.lang.String arg0, java.io.Reader arg1, int arg2)`
`void` `updateCharacterStream​(java.lang.String arg0, java.io.Reader arg1, long arg2)`
`void` `updateClob​(int arg0, java.io.Reader arg1)`
`void` `updateClob​(int arg0, java.io.Reader arg1, long arg2)`
`void` `updateClob​(int arg0, java.sql.Clob arg1)`
`void` `updateClob​(java.lang.String arg0, java.io.Reader arg1)`
`void` `updateClob​(java.lang.String arg0, java.io.Reader arg1, long arg2)`
`void` `updateClob​(java.lang.String arg0, java.sql.Clob arg1)`
`void` `updateDate​(int arg0, java.sql.Date arg1)`
`void` `updateDate​(java.lang.String arg0, java.sql.Date arg1)`
`void` `updateDouble​(int arg0, double arg1)`
`void` `updateDouble​(java.lang.String arg0, double arg1)`
`void` `updateFloat​(int arg0, float arg1)`
`void` `updateFloat​(java.lang.String arg0, float arg1)`
`void` `updateInt​(int arg0, int arg1)`
`void` `updateInt​(java.lang.String arg0, int arg1)`
`void` `updateLong​(int arg0, long arg1)`
`void` `updateLong​(java.lang.String arg0, long arg1)`
`void` `updateNCharacterStream​(int arg0, java.io.Reader arg1)`
`void` `updateNCharacterStream​(int arg0, java.io.Reader arg1, long arg2)`
`void` `updateNCharacterStream​(java.lang.String arg0, java.io.Reader arg1)`
`void` `updateNCharacterStream​(java.lang.String arg0, java.io.Reader arg1, long arg2)`
`void` `updateNClob​(int arg0, java.io.Reader arg1)`
`void` `updateNClob​(int arg0, java.io.Reader arg1, long arg2)`
`void` `updateNClob​(int arg0, java.sql.NClob arg1)`
`void` `updateNClob​(java.lang.String arg0, java.io.Reader arg1)`
`void` `updateNClob​(java.lang.String arg0, java.io.Reader arg1, long arg2)`
`void` `updateNClob​(java.lang.String arg0, java.sql.NClob arg1)`
`void` `updateNString​(int arg0, java.lang.String arg1)`
`void` `updateNString​(java.lang.String arg0, java.lang.String arg1)`
`void` `updateNull​(int arg0)`
`void` `updateNull​(java.lang.String arg0)`
`void` `updateObject​(int arg0, java.lang.Object arg1)`
`void` `updateObject​(int arg0, java.lang.Object arg1, int arg2)`
`void` `updateObject​(java.lang.String arg0, java.lang.Object arg1)`
`void` `updateObject​(java.lang.String arg0, java.lang.Object arg1, int arg2)`
`void` `updateRef​(int arg0, java.sql.Ref arg1)`
`void` `updateRef​(java.lang.String arg0, java.sql.Ref arg1)`
`void` `updateRow()`
`void` `updateRowId​(int arg0, java.sql.RowId arg1)`
`void` `updateRowId​(java.lang.String arg0, java.sql.RowId arg1)`
`void` `updateShort​(int arg0, short arg1)`
`void` `updateShort​(java.lang.String arg0, short arg1)`
`void` `updateSQLXML​(int arg0, java.sql.SQLXML arg1)`
`void` `updateSQLXML​(java.lang.String arg0, java.sql.SQLXML arg1)`
`void` `updateString​(int arg0, java.lang.String arg1)`
`void` `updateString​(java.lang.String arg0, java.lang.String arg1)`
`void` `updateTime​(int arg0, java.sql.Time arg1)`
`void` `updateTime​(java.lang.String arg0, java.sql.Time arg1)`
`void` `updateTimestamp​(int arg0, java.sql.Timestamp arg1)`
`void` `updateTimestamp​(java.lang.String arg0, java.sql.Timestamp arg1)`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Field Detail

#### statement

    protected java.sql.Statement statement

#### warningChain

    protected java.sql.SQLWarning warningChain

#### columnTypeList

    protected java.util.List<java.lang.String> columnTypeList

#### ioTDBRpcDataSet

    protected org.apache.iotdb.rpc.IoTDBRpcDataSet ioTDBRpcDataSet

### Constructor Detail

#### AbstractIoTDBJDBCResultSet

    public AbstractIoTDBJDBCResultSet​(java.sql.Statement statement,
                                      java.util.List<java.lang.String> columnNameList,
                                      java.util.List<java.lang.String> columnTypeList,
                                      java.util.Map<java.lang.String,​java.lang.Integer> columnNameIndex,
                                      boolean ignoreTimeStamp,
                                      org.apache.iotdb.service.rpc.thrift.TSIService.Iface client,
                                      java.lang.String sql,
                                      long queryId,
                                      long sessionId,
                                      long timeout)
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### isWrapperFor

    public boolean isWrapperFor​(java.lang.Class<?> iface)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap​(java.lang.Class<T> iface)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### absolute

    public boolean absolute​(int arg0)
                     throws java.sql.SQLException

Specified by:
  `absolute` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### afterLast

    public void afterLast()
                   throws java.sql.SQLException

Specified by:
  `afterLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

Specified by:
  `beforeFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

Specified by:
  `cancelRowUpdates` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

Specified by:
  `clearWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

Specified by:
  `deleteRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### findColumn

    public int findColumn​(java.lang.String columnName)

Specified by:
  `findColumn` in interface `java.sql.ResultSet`

#### first

    public boolean first()
                  throws java.sql.SQLException

Specified by:
  `first` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray​(int arg0)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray​(java.lang.String arg0)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream​(int arg0)
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream​(java.lang.String arg0)
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal​(int columnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal​(java.lang.String columnName)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal​(int columnIndex,
                                              int scale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal​(java.lang.String columnName,
                                              int scale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream​(int arg0)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream​(java.lang.String arg0)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob​(int arg0)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob​(java.lang.String arg0)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean​(int columnIndex)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean​(java.lang.String columnName)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte​(int columnIndex)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte​(java.lang.String columnName)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes​(int columnIndex)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes​(java.lang.String columnName)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream​(int arg0)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream​(java.lang.String arg0)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob​(int arg0)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob​(java.lang.String arg0)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getConcurrency

    public int getConcurrency()

Specified by:
  `getConcurrency` in interface `java.sql.ResultSet`

#### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

Specified by:
  `getCursorName` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate​(int columnIndex)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate​(java.lang.String columnName)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate​(int arg0,
                                 java.util.Calendar arg1)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate​(java.lang.String arg0,
                                 java.util.Calendar arg1)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble​(int columnIndex)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble​(java.lang.String columnName)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFetchDirection

    public int getFetchDirection()

Specified by:
  `getFetchDirection` in interface `java.sql.ResultSet`

#### setFetchDirection

    public void setFetchDirection​(int arg0)
                           throws java.sql.SQLException

Specified by:
  `setFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

Specified by:
  `getFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### setFetchSize

    public void setFetchSize​(int arg0)
                      throws java.sql.SQLException

Specified by:
  `setFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat​(int columnIndex)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat​(java.lang.String columnName)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

Specified by:
  `getHoldability` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt​(int columnIndex)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt​(java.lang.String columnName)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong​(int columnIndex)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public abstract long getLong​(java.lang.String columnName)
                          throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.ResultSetMetaData getMetaData()

Specified by:
  `getMetaData` in interface `java.sql.ResultSet`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream​(int arg0)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream​(java.lang.String arg0)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob​(int arg0)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob​(java.lang.String arg0)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString​(int arg0)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString​(java.lang.String arg0)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject​(int columnIndex)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject​(java.lang.String columnName)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject​(int arg0,
                                      java.util.Map<java.lang.String,​java.lang.Class<?>> arg1)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject​(java.lang.String arg0,
                                      java.util.Map<java.lang.String,​java.lang.Class<?>> arg1)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject​(int arg0,
                           java.lang.Class<T> arg1)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject​(java.lang.String arg0,
                           java.lang.Class<T> arg1)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef​(int arg0)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef​(java.lang.String arg0)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRow

    public int getRow()
               throws java.sql.SQLException

Specified by:
  `getRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId​(int arg0)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId​(java.lang.String arg0)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML​(int arg0)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML​(java.lang.String arg0)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort​(int columnIndex)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort​(java.lang.String columnName)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getStatement

    public java.sql.Statement getStatement()

Specified by:
  `getStatement` in interface `java.sql.ResultSet`

#### getString

    public java.lang.String getString​(int columnIndex)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString​(java.lang.String columnName)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime​(int columnIndex)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime​(java.lang.String columnName)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime​(int arg0,
                                 java.util.Calendar arg1)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime​(java.lang.String arg0,
                                 java.util.Calendar arg1)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp​(int columnIndex)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp​(java.lang.String columnName)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp​(int arg0,
                                           java.util.Calendar arg1)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp​(java.lang.String arg0,
                                           java.util.Calendar arg1)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getType

    public int getType()

Specified by:
  `getType` in interface `java.sql.ResultSet`

#### getURL

    public java.net.URL getURL​(int arg0)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL​(java.lang.String arg0)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream​(int arg0)
                                         throws java.sql.SQLException

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream​(java.lang.String arg0)
                                         throws java.sql.SQLException

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getWarnings

    public java.sql.SQLWarning getWarnings()

Specified by:
  `getWarnings` in interface `java.sql.ResultSet`

#### insertRow

    public void insertRow()
                   throws java.sql.SQLException

Specified by:
  `insertRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

Specified by:
  `isAfterLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

Specified by:
  `isBeforeFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `java.sql.ResultSet`

#### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

Specified by:
  `isFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isLast

    public boolean isLast()
                   throws java.sql.SQLException

Specified by:
  `isLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### last

    public boolean last()
                 throws java.sql.SQLException

Specified by:
  `last` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

Specified by:
  `moveToCurrentRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

Specified by:
  `moveToInsertRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### next

    public boolean next()
                 throws java.sql.SQLException

Specified by:
  `next` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### previous

    public boolean previous()
                     throws java.sql.SQLException

Specified by:
  `previous` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

Specified by:
  `refreshRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### relative

    public boolean relative​(int arg0)
                     throws java.sql.SQLException

Specified by:
  `relative` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

Specified by:
  `rowDeleted` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

Specified by:
  `rowInserted` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

Specified by:
  `rowUpdated` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateArray

    public void updateArray​(int arg0,
                            java.sql.Array arg1)
                     throws java.sql.SQLException

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateArray

    public void updateArray​(java.lang.String arg0,
                            java.sql.Array arg1)
                     throws java.sql.SQLException

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int arg0,
                                  java.io.InputStream arg1)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(java.lang.String arg0,
                                  java.io.InputStream arg1)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int arg0,
                                  java.io.InputStream arg1,
                                  int arg2)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(java.lang.String arg0,
                                  java.io.InputStream arg1,
                                  int arg2)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int arg0,
                                  java.io.InputStream arg1,
                                  long arg2)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(java.lang.String arg0,
                                  java.io.InputStream arg1,
                                  long arg2)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal​(int arg0,
                                 java.math.BigDecimal arg1)
                          throws java.sql.SQLException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal​(java.lang.String arg0,
                                 java.math.BigDecimal arg1)
                          throws java.sql.SQLException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int arg0,
                                   java.io.InputStream arg1)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(java.lang.String arg0,
                                   java.io.InputStream arg1)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int arg0,
                                   java.io.InputStream arg1,
                                   int arg2)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(java.lang.String arg0,
                                   java.io.InputStream arg1,
                                   int arg2)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int arg0,
                                   java.io.InputStream arg1,
                                   long arg2)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(java.lang.String arg0,
                                   java.io.InputStream arg1,
                                   long arg2)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(int arg0,
                           java.sql.Blob arg1)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(java.lang.String arg0,
                           java.sql.Blob arg1)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(int arg0,
                           java.io.InputStream arg1)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(java.lang.String arg0,
                           java.io.InputStream arg1)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(int arg0,
                           java.io.InputStream arg1,
                           long arg2)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob​(java.lang.String arg0,
                           java.io.InputStream arg1,
                           long arg2)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean​(int arg0,
                              boolean arg1)
                       throws java.sql.SQLException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean​(java.lang.String arg0,
                              boolean arg1)
                       throws java.sql.SQLException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte​(int arg0,
                           byte arg1)
                    throws java.sql.SQLException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte​(java.lang.String arg0,
                           byte arg1)
                    throws java.sql.SQLException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes​(int arg0,
                            byte[] arg1)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes​(java.lang.String arg0,
                            byte[] arg1)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int arg0,
                                      java.io.Reader arg1)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(java.lang.String arg0,
                                      java.io.Reader arg1)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int arg0,
                                      java.io.Reader arg1,
                                      int arg2)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(java.lang.String arg0,
                                      java.io.Reader arg1,
                                      int arg2)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int arg0,
                                      java.io.Reader arg1,
                                      long arg2)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(java.lang.String arg0,
                                      java.io.Reader arg1,
                                      long arg2)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(int arg0,
                           java.sql.Clob arg1)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(java.lang.String arg0,
                           java.sql.Clob arg1)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(int arg0,
                           java.io.Reader arg1)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(java.lang.String arg0,
                           java.io.Reader arg1)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(int arg0,
                           java.io.Reader arg1,
                           long arg2)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob​(java.lang.String arg0,
                           java.io.Reader arg1,
                           long arg2)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate​(int arg0,
                           java.sql.Date arg1)
                    throws java.sql.SQLException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate​(java.lang.String arg0,
                           java.sql.Date arg1)
                    throws java.sql.SQLException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble​(int arg0,
                             double arg1)
                      throws java.sql.SQLException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble​(java.lang.String arg0,
                             double arg1)
                      throws java.sql.SQLException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat​(int arg0,
                            float arg1)
                     throws java.sql.SQLException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat​(java.lang.String arg0,
                            float arg1)
                     throws java.sql.SQLException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt​(int arg0,
                          int arg1)
                   throws java.sql.SQLException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt​(java.lang.String arg0,
                          int arg1)
                   throws java.sql.SQLException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong​(int arg0,
                           long arg1)
                    throws java.sql.SQLException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong​(java.lang.String arg0,
                           long arg1)
                    throws java.sql.SQLException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(int arg0,
                                       java.io.Reader arg1)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(java.lang.String arg0,
                                       java.io.Reader arg1)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(int arg0,
                                       java.io.Reader arg1,
                                       long arg2)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(java.lang.String arg0,
                                       java.io.Reader arg1,
                                       long arg2)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(int arg0,
                            java.sql.NClob arg1)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(java.lang.String arg0,
                            java.sql.NClob arg1)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(int arg0,
                            java.io.Reader arg1)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(java.lang.String arg0,
                            java.io.Reader arg1)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(int arg0,
                            java.io.Reader arg1,
                            long arg2)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob​(java.lang.String arg0,
                            java.io.Reader arg1,
                            long arg2)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNString

    public void updateNString​(int arg0,
                              java.lang.String arg1)
                       throws java.sql.SQLException

Specified by:
  `updateNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNString

    public void updateNString​(java.lang.String arg0,
                              java.lang.String arg1)
                       throws java.sql.SQLException

Specified by:
  `updateNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull​(int arg0)
                    throws java.sql.SQLException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull​(java.lang.String arg0)
                    throws java.sql.SQLException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject​(int arg0,
                             java.lang.Object arg1)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject​(java.lang.String arg0,
                             java.lang.Object arg1)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject​(int arg0,
                             java.lang.Object arg1,
                             int arg2)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject​(java.lang.String arg0,
                             java.lang.Object arg1,
                             int arg2)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef​(int arg0,
                          java.sql.Ref arg1)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef​(java.lang.String arg0,
                          java.sql.Ref arg1)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRow

    public void updateRow()
                   throws java.sql.SQLException

Specified by:
  `updateRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId​(int arg0,
                            java.sql.RowId arg1)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId​(java.lang.String arg0,
                            java.sql.RowId arg1)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML​(int arg0,
                             java.sql.SQLXML arg1)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML​(java.lang.String arg0,
                             java.sql.SQLXML arg1)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort​(int arg0,
                            short arg1)
                     throws java.sql.SQLException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort​(java.lang.String arg0,
                            short arg1)
                     throws java.sql.SQLException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString​(int arg0,
                             java.lang.String arg1)
                      throws java.sql.SQLException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString​(java.lang.String arg0,
                             java.lang.String arg1)
                      throws java.sql.SQLException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime​(int arg0,
                           java.sql.Time arg1)
                    throws java.sql.SQLException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime​(java.lang.String arg0,
                           java.sql.Time arg1)
                    throws java.sql.SQLException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp​(int arg0,
                                java.sql.Timestamp arg1)
                         throws java.sql.SQLException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp​(java.lang.String arg0,
                                java.sql.Timestamp arg1)
                         throws java.sql.SQLException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### wasNull

    public boolean wasNull()

Specified by:
  `wasNull` in interface `java.sql.ResultSet`